Subject: update-binfmts breaking suspend was Re: x32 suspend failuer in Re: linux-next: Tree for Apr 4

From: Pavel Machek <[email-masked]>
Date: Thu, 5 Apr 2018 14:25:03 +0200

On Wed 2018-04-04 10:49:05, Pavel Machek wrote:
> On Wed 2018-04-04 09:58:17, Rafael J. Wysocki wrote:
> > On Wed, Apr 4, 2018 at 9:50 AM, Pavel Machek <[email-masked]> wrote:
> > > Hi!
> > >
> > >> Please do not add any v4.18 destined stuff to your linux-next included
> > >> trees until after v4.17-rc1 has been released.
> > >
> > > On thinkpad x60, suspend does not suspend at all with this -next
> > > version. Previous versions suspended/resumed fine but broke networking.
> > >
> > > Any ideas? I guess bisecting on next would not be easy?
> > 
> > Well, why would it be different from a bisect on any other git repo?
> 
> Well, v4.16-rc4 is parent of v4.16-rc6, but next-20180304 is not
> parent of next-20180307.
> 
> But you are right that if I do bisect between -linus and -next, it
> should work.
> 
> Anyway, does s2ram work for you in -next? Are you testing 32bit?

Hmm. I tested on T40p. That works ok, so at least some 32bit machines
do work.

Hmm, and my test scripts were wrong.

Failure is not a hang, as they expect, but... machine locks up, but
does not suspend, and then continues running after a delay..

[   35.038766] PM: Syncing filesystems ... done.
[   35.051246] Freezing user space processes ...
[   55.060528] Freezing of tasks failed after 20.009 seconds (1 tasks
refusing to freeze, wq_busy
=0):
[   55.060552] update-binfmts  D    0  2727      1 0x80000004
[   55.060576] Call Trace:
[   55.060600]  __schedule+0x37a/0x7e0
[   55.060618]  schedule+0x29/0x70
[   55.060635]  autofs4_wait+0x359/0x7a0
[   55.060653]  ? wait_woken+0x70/0x70
[   55.060668]  autofs4_mount_wait+0x4a/0xe0
[   55.060684]  ? autofs4_mount_wait+0x4a/0xe0
[   55.060699]  autofs4_d_automount+0xe0/0x200
[   55.060715]  ? autofs4_d_automount+0xe0/0x200

Did the rework of freezing start already in -next?

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html